Name:           xmlcopyeditor
Version:        1.2.0.4
Release:        4%{?dist}
Summary:        A fast, free, validating XML editor

Group:          Applications/Editors
License:        GPLv2
URL:            http://xml-copy-editor.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/xml-copy-editor/%name-%version.tar.gz
Patch0:         xmlcopyeditor-1.1.0.6-defaultbrowser.patch
Patch1:         xmlcopyeditor-1.2.0.4-gcc44.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  wxGTK-devel >= 2.8 pcre-devel aspell-devel boost-devel
BuildRequires:  xerces-c-devel libxslt-devel expat-devel desktop-file-utils

%description
XML Copy Editor is a fast, free, validating XML editor.

%prep
%setup -q
find src -type f -print0 | xargs -0 chmod a-x
tr -d '\r' < src/copying/gpl.txt > COPYING
chmod a-x AUTHORS COPYING NEWS
%patch0 -p 1 -b .defaultbrowser
%patch1 -p 1 -b .gcc44

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor=fedora --remove-category Application \
  --delete-original \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
sed -i -e "s/\(Icon=[^.]\+\).[^.]\+/\1/" $RPM_BUILD_ROOT%{_datadir}/applications/*%{name}.desktop
#rm -r $RPM_BUILD_ROOT%{_datadir}/%{name}/po

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 1.2.0.4-3
- Rebuild against PCRE 8.30

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri May 20 2011 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 1.2.0.4-1
- Upstream update

* Thu Mar 10 2011 Kalev Lember <kalev@smartlink.ee> - 1.2.0.2-5
- Rebuilt with xerces-c 3.1

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 14 2010 Dan Horák <dan@danny.cz> - 1.2.0.2-3
- rebuilt against wxGTK-2.8.11-2

* Sat Sep 12 2009 Caolán McNamara <caolanm@redhat.com> 1.2.0.2-2
- Resolves: rhbz#508867 rhbz#511552 FTBFS

* Thu Feb 05 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 1.2.0.2-1
- Upstream update (http://sourceforge.net/news/?group_id=141776)

* Wed Feb 13 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 1.1.0.6-4
- Fixed build under GCC 4.3

* Tue Jan 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 1.1.0.6-3
- Removed locale files for now
- Removed spurious license files
- Fixed debuginfo permissions
- Fixed desktop file handling

* Mon Jan 28 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 1.1.0.6-2
- Changed search list of default browsers

* Sun Jan 27 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 1.1.0.6-1
- Initial RPM release
